package com.gxwebsoft.house.service;

import com.github.yulichang.base.MPJBaseService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.house.entity.HouseAiConfig;
import com.gxwebsoft.house.param.HouseAiConfigParam;

import java.util.List;

/**
 * AI找房配置Service
 */
public interface HouseAiConfigService extends MPJBaseService<HouseAiConfig> {

    PageResult<HouseAiConfig> pageRel(HouseAiConfigParam param);

    List<HouseAiConfig> listRel(HouseAiConfigParam param);

    HouseAiConfig getByIdRel(Integer configId);

    HouseAiConfig getCurrentConfig(Integer tenantId);
}
